Bug 984388 - SELinux is preventing /opt/teamviewer8/tv_bin/wine/bin/wineserver from 'write' accesses on the directory /home/user9/.config/teamviewer8.
SELinux is preventing /opt/teamviewer8/tv_bin/wine/bin/wineserver from 'write...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:39343fb3a19ea498daef0606f98...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-15 02:16 EDT by Moez Roy
Modified: 2013-07-15 17:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-15 17:42:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Moez Roy 2013-07-15 02:16:36 EDT
Description of problem:
SELinux is preventing /opt/teamviewer8/tv_bin/wine/bin/wineserver from 'write' accesses on the directory /home/user9/.config/teamviewer8.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that wineserver should be allowed write access on the teamviewer8 directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep wineserver /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:initrc_t:s0
Target Context                unconfined_u:object_r:config_home_t:s0
Target Objects                /home/user9/.config/teamviewer8 [ dir ]
Source                        wineserver
Source Path                   /opt/teamviewer8/tv_bin/wine/bin/wineserver
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           teamviewer-8.0.17147-1.i686
Target RPM Packages           
Policy RPM                    selinux-policy-3.11.1-98.fc18.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 3.9.9-201.fc18.x86_64 #1 SMP Fri
                              Jul 5 16:42:02 UTC 2013 x86_64 x86_64
Alert Count                   4
First Seen                    2013-07-12 12:05:09 PDT
Last Seen                     2013-07-13 08:31:27 PDT
Local ID                      76da3bfd-411c-40c3-92d0-eebf5c87b95d

Raw Audit Messages
type=AVC msg=audit(1373729487.866:405): avc:  denied  { write } for  pid=1891 comm="wineserver" name="teamviewer8" dev="dm-3" ino=45876350 scontext=system_u:system_r:initrc_t:s0 tcontext=unconfined_u:object_r:config_home_t:s0 tclass=dir


type=AVC msg=audit(1373729487.866:405): avc:  denied  { add_name } for  pid=1891 comm="wineserver" name="reg7630000.tmp" scontext=system_u:system_r:initrc_t:s0 tcontext=unconfined_u:object_r:config_home_t:s0 tclass=dir


type=AVC msg=audit(1373729487.866:405): avc:  denied  { create } for  pid=1891 comm="wineserver" name="reg7630000.tmp" scontext=system_u:system_r:initrc_t:s0 tcontext=system_u:object_r:config_home_t:s0 tclass=file


type=SYSCALL msg=audit(1373729487.866:405): arch=i386 syscall=fstat success=yes exit=ENETDOWN a0=9923f48 a1=80c1 a2=1b6 a3=0 items=0 ppid=1 pid=1891 auid=4294967295 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 ses=4294967295 tty=(none) comm=wineserver exe=/opt/teamviewer8/tv_bin/wine/bin/wineserver subj=system_u:system_r:initrc_t:s0 key=(null)

Hash: wineserver,initrc_t,config_home_t,dir,write

audit2allow

#============= initrc_t ==============
allow initrc_t config_home_t:dir { write add_name };
allow initrc_t config_home_t:file create;

audit2allow -R
require {
	type initrc_t;
}

#============= initrc_t ==============
gnome_manage_home_config(initrc_t)
gnome_manage_home_config_dirs(initrc_t)


Additional info:
reporter:       libreport-2.1.5
hashmarkername: setroubleshoot
kernel:         3.9.9-201.fc18.x86_64
type:           libreport

Note You need to log in before you can comment on or make changes to this bug.